Loading...
Searching...
No Matches
myPdco Class Reference

This implements a simple network matrix as derived from ClpMatrixBase. More...

`#include <myPdco.hpp>`

Inheritance diagram for myPdco:
[legend]
Collaboration diagram for myPdco:
[legend]

## Public Member Functions

Useful methods
virtual void | matVecMult (ClpInterior *model, int mode, double *x, double *y) const
virtual void | getGrad (ClpInterior *model, CoinDenseVector< double > &x, CoinDenseVector< double > &grad) const
virtual void | getHessian (ClpInterior *model, CoinDenseVector< double > &x, CoinDenseVector< double > &H) const
virtual double | getObj (ClpInterior *model, CoinDenseVector< double > &x) const
virtual void | matPrecon (ClpInterior *model, double delta, double *x, double *y) const
Constructors, destructor
| myPdco ()
| Default constructor.
| myPdco (double d1, double d2, int numnodes, int numlinks)
| Constructor from Stuff.
| myPdco (ClpInterior &model, FILE *fpData, FILE *fpParam)
| Also reads a model.
virtual | ~myPdco ()
| Destructor.
Copy method
| myPdco (const myPdco &)
| The copy constructor.
myPdco & | operator= (const myPdco &)
virtual ClpPdcoBase * | clone () const
| Clone.
Public Member Functions inherited from ClpPdcoBase
int | type () const
| Returns type.
void | setType (int type)
| Sets type.
int | sizeD1 () const
| Returns size of d1.
double | getD1 () const
| Returns d1 as scalar.
int | sizeD2 () const
| Returns size of d2.
double | getD2 () const
| Returns d2 as scalar.
virtual | ~ClpPdcoBase ()
| Destructor (has to be public).

## Protected Attributes

Data members
The data members are protected to allow access for derived classes.
int * | rowIndex_
int | numlinks_
int | numnodes_
Protected Attributes inherited from ClpPdcoBase
double | d1_
| Should be dense vectors.
double | d2_
int | type_
| type (may be useful)

## Additional Inherited Members

| ClpPdcoBase ()
| Default constructor.
| ClpPdcoBase (const ClpPdcoBase &)
ClpPdcoBase & | operator= (const ClpPdcoBase &)

## Detailed Description

This implements a simple network matrix as derived from ClpMatrixBase.

If you want more sophisticated version then you could inherit from this. Also you might want to allow networks with gain

Definition at line 19 of file myPdco.hpp.

## Constructor & Destructor Documentation

## myPdco() [1/4]

myPdco::myPdco | ( |  | ) |

Default constructor.

## myPdco() [2/4]

myPdco::myPdco | ( | double | d1,
|  | double | d2,
|  | int | numnodes,
|  | int | numlinks )

Constructor from Stuff.

## myPdco() [3/4]

myPdco::myPdco | ( | ClpInterior & | model,
|  | FILE * | fpData,
|  | FILE * | fpParam )

Also reads a model.

## ~myPdco()

virtual myPdco::~myPdco | ( |  | ) |

virtual

Destructor.

## myPdco() [4/4]

myPdco::myPdco | ( | const myPdco & |  | ) |

The copy constructor.

## Member Function Documentation

## matVecMult()

virtual void myPdco::matVecMult | ( | ClpInterior * | model,
|  | int | mode,
|  | double * | x,
|  | double * | y ) const

virtual

Implements ClpPdcoBase.

## getGrad()

virtual void myPdco::getGrad | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | grad ) const

virtual

Implements ClpPdcoBase.

## getHessian()

virtual void myPdco::getHessian | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | H ) const

virtual

Implements ClpPdcoBase.

## getObj()

virtual double myPdco::getObj | ( | ClpInterior * | model,
|  | CoinDenseVector< double > & | x ) const

virtual

Implements ClpPdcoBase.

## matPrecon()

virtual void myPdco::matPrecon | ( | ClpInterior * | model,
|  | double | delta,
|  | double * | x,
|  | double * | y ) const

virtual

Implements ClpPdcoBase.

## operator=()

myPdco & myPdco::operator= | ( | const myPdco & |  | ) |

## clone()

virtual ClpPdcoBase * myPdco::clone | ( |  | ) | const

virtual

Clone.

Implements ClpPdcoBase.

## Member Data Documentation

## rowIndex_

int* myPdco::rowIndex_

protected

Definition at line 64 of file myPdco.hpp.

## numlinks_

int myPdco::numlinks_

protected

Definition at line 65 of file myPdco.hpp.

## numnodes_

int myPdco::numnodes_

protected

Definition at line 66 of file myPdco.hpp.

The documentation for this class was generated from the following file:

- Clp/examples/myPdco.hpp